from client.Client import *
from protocol.Sms import *
from base.Logger import *


class GatewaySender:

    """
        $Id: GatewaySender.py,v 1.1.1.1 2003/04/10 14:38:57 maro Exp $

        Sample SMS sender class

        @author maro
    """

    m_client = None
    m_log = None

    def __init__(self):
        self.m_log = Logger()
        self.m_log.logInfo("Python-SDK %s" % self.m_log.m_conf.VERSION)
        self.m_client = Client(self.m_log.m_conf.SEND_HOST, self.m_log.m_conf.SEND_PORT)


    def sendSimpleSMS(self, recipient, text):
        """Creates an SMS and sends it using the Client class, returns
            the response from the gateway"""
        sms = Sms(recipient, text)
        return self.m_client.sendSMS(sms)


    def sendSMS(self, sms):
        """Accepts an Sms object and sends it using the Client class, returns
            the response from the gateway"""
        return self.m_client.sendSMS(sms)
