from base.Config import *
import time

class Logger:

    """
        $Id: Logger.py,v 1.1.1.1 2003/04/10 14:38:57 maro Exp $
        
        Simple logger class

        @author maro
    """

    m_class = None
    m_conf  = None
    m_log_levels = { "debug" : 0, "info" : 1, "warn" : 2, "fatal" : 3 , "none" :4 }
    m_current_debug_level = 2


    def __init__(self):
        self.m_conf  = Config()
        self.m_current_debug_level = self.m_log_levels[self.m_conf.DEBUG_LEVEL]

    def logInfo(self, msg):
        if ( self.m_conf.DEBUG_LEVEL != "none" ):
            if ( self.m_log_levels["info"] >= self.m_current_debug_level ):
                self.doLog("INFO: " + msg)

    def logWarn(self, msg):
        if ( self.m_conf.DEBUG_LEVEL != "none" ):
            if ( self.m_log_levels["warn"] >= self.m_current_debug_level ):
                self.doLog("WARN: " + msg)

    def logFatal(self, msg):
        if ( self.m_conf.DEBUG_LEVEL != "none" ):
            if ( self.m_log_levels["fatal"] >= self.m_current_debug_level ):
                self.doLog("FATAL: " + msg)

    def logDebug(self, msg):
        if ( self.m_conf.DEBUG_LEVEL != "none" ):
            if ( self.m_log_levels["debug"] >= self.m_current_debug_level ):
                self.doLog("DEBUG: " + msg)

    def doLog(self, msg):
        if ( self.m_conf.DEBUG_OUTPUT in ( 0, 2 ) ):
            self.logScreen(msg)
        if ( self.m_conf.DEBUG_OUTPUT in ( 1, 2 ) ):
            self.logFile(msg)

    def logScreen(self, msg):
        print msg

    def logFile(self, msg):
        if ( self.m_conf.DEBUG_FILE != "" ):
            f = open(self.m_conf.DEBUG_FILE, "a")
            t = time.strftime("%Y-%m-%d %H:%M:%S", time.localtime())
            f.write("[%s] %s\n" % (t, msg))
            f.close()
